#!/bin/sh
## Advanced.PkgBuild script for: 	abiword
##
## Amigo PkgBuild-0.3 - Gilbert Ashley <amigo@ibiblio.org>
##
##### ------------Standard Package Variables-------------------
# Most source code only needs these  4 variables set.
# Set  SRC_SUFFIX  to ".tar.gz" ".tgz" ".tar.bz2" or ".tbz"

BUILD="1"
NAME="abiword"
VERSION="2.4.4"
SRC_SUFFIX=".tar.bz2"

#####--------Common Overrides and Options----------------------
# PRE_FIX=""

EXTRA_CONFIGS="--enable-threads"

# DOCLIST=""
# GROUP_NAME=""
#######----------------Processing------------------------------
# Get functions and read in configuration files
source /usr/share/Amigo/PkgBuild/FUNCTIONS ;
# This template calls each process individually so you can add
# extra instructions between processes, or even leave out steps.

pre_process ;
find_source ;
make_dirs ;
unpack_source ;
fix_source_perms ;

# not needed with PkgBuild-0.8 and above
# mv $SRC_DIR/abi/Makefile $SRC_DIR/abi/Makefile.author
# cd $SRC_DIR/abi && ./configure --prefix=$PRE_FIX $EXTRA_CONFIGS

configure_source ;
compile_source ;
fake_install ;

# remove nastly link created by Makefile
rm -f $PKG_DIR/usr/bin/abiword
# replace it
cd $PKG_DIR/usr/bin && ln -sf AbiWord-2.4 abiword

fix_pkg_perms ;
strip_bins ;
create_docs ;
compress_man_pages ;
make_description ;
make_doinst ;
make_package ;
post_process ;
exit 0

## See the Amigo PkgBuild documentation for help and examples.